Subject: Re: [RFC 00/11] QLogic RDMA Driver (qedr) RFC

From: Leon Romanovsky <[email-masked]>
Date: Tue, 13 Sep 2016 13:39:34 +0300

On Tue, Sep 13, 2016 at 06:48:00AM +0000, Mintz, Yuval wrote:
> >> While this might work, I personally dislike it as I find it
> >> counter-intuitive when going over the code -
> >> I don't expect driver to locally modify the inclusion path.
> >> Besides, we're going to [eventually] a whole suite of drivers based
> >> on the qed module, some of which would reside under drivers/scsi;
> >> Not sure it's best to have 3 or 4 different drivers privately include the
> >> same directory under a different subsystem.
>
> > I agree with you that orcdma's way can be valuable for small drivers.
>
> > Orcmda has small shared headers set and doesn't need to change them rapidly
> > to support different devices.
>
> > I thought to place them in similar directory to include/soc/* and remove
> > from include/linux/. We have include/rdma/ and it looks like a good
> > candidate.
>
> I'm perfectly fine with relocating those to a different directory under include/,
> although using 'rdma' doesn't sound like a good fit [as the headers would be
> included by ethernet, scsi and rdma drivers].
> Are there good existing alternatives?

There is nothing that I can name.

>
> Regardless, I don't believe this should be part of the initial submission,
> as it would involve in relocating existing networking headers as well.
> I think we can move those at leisure later on.

Sure, it is good time and context to discuss, but orthogonal to this
submission.

>
> [We're in the middle of transitioning our e-mails from qlogic -> cavium,
> so sorry if things become corrupted]